# abstract GradientType(Null<Int>)

#### package openfl.display

####

Available on all platforms

The GradientType class provides values for the `type` parameter in the `beginGradientFill()` and `lineGradientStyle()` methods of the openfl.display.Graphics class.

### Variables

###

`inline read onlyLINEAR:GradientType = 0`

Value used to specify a linear gradient fill.

###

`inline read onlyRADIAL:GradientType = 1`

Value used to specify a radial gradient fill.